from PyQt5.QtCore import *
from PyQt5.QtGui import *
from PyQt5.QtWidgets import *
import json
import sys
import os





class TaskBox(QWidget):
    def __init__(self,parent:QWidget=None,items:list=None,x:int=0,y:int=0):
        QWidget.__init__(self,parent)
        self.setMouseTracking(True)
        self.setWindowFlags(Qt.WindowType.FramelessWindowHint|Qt.WindowType.NoDropShadowWindowHint|Qt.WindowType.Popup)
        self.setAttribute(Qt.WidgetAttribute.WA_DeleteOnClose)




class task_base(object):
    def __init__(self):
        self.TaskID=""
        




